Bug 612127 - NPE in SambaComponent
NPE in SambaComponent
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 07:28 EDT by Heiko W. Rupp
Modified: 2013-09-02 03:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2010-07-07 07:28:41 EDT
On Jon06, Linux:


2010-07-07 07:27:15,832 WARN  [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Failure during discovery for [Samba Share] Resources - failed after 0 ms.
java.lang.Exception: Discovery component invocation failed.
        at org.rhq.core.pc.util.DiscoveryComponentProxyFactory$ComponentInvocationThread.call(DiscoveryCompo
nentProxyFactory.java:270)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
        at java.util.concurrent.FutureTask.run(FutureTask.java:123)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
        at java.lang.Thread.run(Thread.java:595)
Caused by: java.lang.NullPointerException
        at org.rhq.plugins.samba.SambaShareDiscoveryComponent.discoverResources(SambaShareDiscoveryComponent.java:45)
Comment 1 Heiko W. Rupp 2010-08-09 03:59:17 EDT
rev 26adb1fce95b0b5248053f03432d71cb0aeb73da
Comment 2 Sunil Kondkar 2010-10-20 04:43:52 EDT
Verified on RHQ build#423

Samba share resources are discovered successfully. The exception is not observed in server log.
Comment 3 Heiko W. Rupp 2013-09-02 03:18:16 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.